%define module_name Time-Duration-Locale
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Singleton.pm) perl(Config.pm) perl(Data/Dumper.pm) perl(Encode/Locale.pm) perl(Exporter.pm) perl(Exporter/Renaming.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(I18N/LangTags.pm) perl(I18N/LangTags/Detect.pm) perl(Lingua/PigLatin.pm) perl(Module/Load.pm) perl(PerlIO/encoding.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(Time/Duration.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 12
Release: alt1
Summary: Dispatch to language-specific Time::Duration module.
Group: Development/Perl
License: gpl
URL: http://user42.tuxfamily.org/time-duration-locale/index.html

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KR/KRYDE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
`Time::Duration::Locale' has the same interface as `Time::Duration' but.chooses a language according to the user's locale settings.  See
examples/simple.pl in the Time-Duration-Locale sources for a complete
program printing a duration in the locale language.

As of January 2013 available language modules on CPAN include

    Time::Duration        English
    Time::Duration::fr    French
    Time::Duration::id    Indonesian
    Time::Duration::ja    Japanese
    Time::Duration::pt    Portuguese
    Time::Duration::sv    Swedish

If the user's locale setting is not one of these then the fallback is the
English module.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README COPYING examples
%perl_vendor_privlib/T*

%changelog
* Mon May 01 2017 Igor Vlasenko <viy@altlinux.ru> 12-alt1
- regenerated from template by package builder

* Tue Nov 01 2016 Igor Vlasenko <viy@altlinux.ru> 11-alt1
- regenerated from template by package builder

* Mon Dec 23 2013 Igor Vlasenko <viy@altlinux.ru> 10-alt1
- regenerated from template by package builder

* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 9-alt1
- initial import by package builder

